<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.aggregate-sasl-server-factory">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="sasl-server-factories"/>
        <elem name="addr-params" value="profile,host,subsystem,aggregate-sasl-server-factory"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.sasl-server-factory.$aggregate-sasl-server-factory"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.sasl-server-factory.$sasl-server-factories"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="aggregate-sasl-server-factory" feature-id="true"/>
        <param name="sasl-server-factories" type="List&lt;String&gt;"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>